Index: orxonox/trunk/src/camera.cc
===================================================================
--- orxonox/trunk/src/camera.cc	(revision 3214)
+++ orxonox/trunk/src/camera.cc	(revision 3215)
@@ -30,19 +30,19 @@
 {
   this->world = world;
-  bound = NULL;
+  this->bound = NULL;
   /* give it some physical live */
-  m = 10;
-  a = new Vector(0.0, 0.0, 0.0);
-  v = new Vector(0.0, 0.0, 0.0);
-  fs = new Vector(0.0, 0.0, 0.0);
-  cameraMode = NORMAL;
-  deltaTime = 3000.0;
-  cameraOffset = 1.0;
-  cameraOffsetZ = 10.0;
-  t = 0.0;
-
-  actual_place.r.x = 0.0;
-  actual_place.r.y = 10.0;
-  actual_place.r.z = -5.0;
+  this->m = 10;
+  this->a = new Vector(0.0, 0.0, 0.0);
+  this->v = new Vector(0.0, 0.0, 0.0);
+  this->fs = new Vector(0.0, 0.0, 0.0);
+  this->cameraMode = NORMAL;
+  this->deltaTime = 3000.0;
+  this->cameraOffset = 1.0;
+  this->cameraOffsetZ = 10.0;
+  this->t = 0.0;
+
+  this->actual_place.r.x = 0.0;
+  this->actual_place.r.y = 10.0;
+  this->actual_place.r.z = -5.0;
 }
 
@@ -63,9 +63,9 @@
 void Camera::time_slice (Uint32 deltaT)
 {
-  if(t <= deltaTime)
-    {t += deltaT;}
+  if( this->t <= deltaTime)
+    {this->t += deltaT;}
   //printf("time is: t=%f\n", t );
-  update_desired_place ();
-  jump (NULL);
+  update_desired_place();
+  jump(NULL);
 }
 
@@ -242,9 +242,9 @@
   /*  translation */
   glTranslatef (-actual_place.r.x, -actual_place.r.y,- actual_place.r.z);
-  //Placement *plBound = bound->get_placement();
+//Placement *plBound = bound->get_placement();
 
   // ===== second camera control calculation option
   /*
-    gluLookAt(actual_place.r.x, actual_place.r.y, actual_place.r.z, 
+   gluLookAt(actual_place.r.x, actual_place.r.y, actual_place.r.z, 
               plBound->r.x, plBound->r.y, plBound->r.z,
               0.0, 0.0, 1.0);
Index: orxonox/trunk/src/command_node.cc
===================================================================
--- orxonox/trunk/src/command_node.cc	(revision 3214)
+++ orxonox/trunk/src/command_node.cc	(revision 3215)
@@ -248,5 +248,5 @@
 void CommandNode::relay (Command* cmd)
 {
-  
+
   Orxonox *orx = Orxonox::getInstance();
   if( orx->system_command (cmd)) return;
Index: orxonox/trunk/src/game_loader.cc
===================================================================
--- orxonox/trunk/src/game_loader.cc	(revision 3214)
+++ orxonox/trunk/src/game_loader.cc	(revision 3215)
@@ -119,7 +119,4 @@
 
 
-
-
-
 Campaign* GameLoader::fileToCampaign(char *name)
 {
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 3214)
+++ orxonox/trunk/src/orxonox.cc	(revision 3215)
@@ -321,6 +321,4 @@
     }
   
-  //(*orx).mainLoop();
-
   orx->start();
   
Index: orxonox/trunk/src/world.cc
===================================================================
--- orxonox/trunk/src/world.cc	(revision 3214)
+++ orxonox/trunk/src/world.cc	(revision 3215)
@@ -75,5 +75,6 @@
 {
   this->bQuitCurrentGame = true;
-  this->localCamera->setWorld(NULL);
+  //this->localCamera->setWorld(NULL);
+  this->localPlayer->destroy();
   this->localCamera->destroy();
 
@@ -569,5 +570,5 @@
   this->bQuitCurrentGame = false;
   printf("World|Entering main loop\n");
-  while(!this->bQuitOrxonox && !this->bQuitCurrentGame) /* pause pause pause ?!?!?*/
+  while( !this->bQuitOrxonox && !this->bQuitCurrentGame) /* \todo implement pause */
     {
       //debug routine
@@ -577,4 +578,9 @@
       // Process input
       handle_input();
+      if( this->bQuitCurrentGame || this->bQuitOrxonox)
+	{
+	  printf("World::mainLoop() - leaving loop earlier...\n");
+	  break;
+	}
       // Process time
       time_slice();
@@ -586,5 +592,5 @@
       for(int i = 0; i < 10000000; i++) {}
     }
-  printf("World|Exiting the main loop\n");
+  printf("World::mainLoop() - Exiting the main loop\n");
 }
 
@@ -655,5 +661,8 @@
     {
       if( !cmd->bUp) this->bQuitOrxonox = true;
-      return true;
+      {
+	printf("World::system_command() - rescv quit command\n");
+	return true;
+      }
     }
   return false;