Index: orxonox/trunk/Makefile.in
===================================================================
--- orxonox/trunk/Makefile.in	(revision 3217)
+++ orxonox/trunk/Makefile.in	(revision 3218)
@@ -502,5 +502,5 @@
 check-am: all-am
 check: check-recursive
-all-am: Makefile config.h
+all-am: Makefile config.h all-local
 installdirs: installdirs-recursive
 installdirs-am:
@@ -531,10 +531,11 @@
 clean: clean-recursive
 
-clean-am: clean-generic mostlyclean-am
+clean-am: clean-generic clean-local mostlyclean-am
 
 distclean: distclean-recursive
 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
 	-rm -f Makefile
-distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
+distclean-am: clean-am distclean-generic distclean-hdr distclean-local \
+	distclean-tags
 
 dvi: dvi-recursive
@@ -580,25 +581,25 @@
 uninstall-info: uninstall-info-recursive
 
-.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
-	check-am clean clean-generic clean-recursive ctags \
-	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
-	dist-tarZ dist-zip distcheck distclean distclean-generic \
-	distclean-hdr distclean-recursive distclean-tags \
-	distcleancheck distdir distuninstallcheck dvi dvi-am html \
-	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am install-info \
-	install-info-am install-man install-strip installcheck \
-	installcheck-am installdirs installdirs-am maintainer-clean \
-	maintainer-clean-generic maintainer-clean-recursive \
-	mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
-	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
-	uninstall-info-am
+.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am all-local \
+	am--refresh check check-am clean clean-generic clean-local \
+	clean-recursive ctags ctags-recursive dist dist-all dist-bzip2 \
+	dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
+	distclean-generic distclean-hdr distclean-local \
+	distclean-recursive distclean-tags distcleancheck distdir \
+	distuninstallcheck dvi dvi-am html html-am info info-am \
+	install install-am install-data install-data-am install-exec \
+	install-exec-am install-info install-info-am install-man \
+	install-strip installcheck installcheck-am installdirs \
+	installdirs-am maintainer-clean maintainer-clean-generic \
+	maintainer-clean-recursive mostlyclean mostlyclean-generic \
+	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
+	uninstall uninstall-am uninstall-info-am
 
 
 doc:
-	@echo "Generating doxygen Documentation"; \
 	if test ! -e $(DX_CONFIG_FILE); then \
 	 make doc-config; \
 	fi
+	@echo "Generating doxygen Documentation"; \
 	doxygen $(DX_CONFIG_FILE)
 
@@ -635,7 +636,14 @@
 
 doc-delete: 
-	@echo "Deleting doxygen Documentation" ; \
-	rm -rf $(top_srcdir)/doc/html ; \
+	@echo "Deleting doxygen Documentation" 
+	rm -rf $(top_srcdir)/doc/html 
 	rm -rf $(top_srcdir)/doc/latex 
+
+distclean-local: doc-delete
+	rm -f $(top_srcdir)/orxodox
+
+clean-local:  doc-delete
+
+all-local: doc
 
 .PHONY: doc doc-config doc-delete
Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 3217)
+++ orxonox/trunk/configure	(revision 3218)
@@ -6603,69 +6603,8 @@
 
 #checking for pthread libs
- echo "$as_me:$LINENO: checking for main in -lpthread" >&5
-echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
-if test "${ac_cv_lib_pthread_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_pthread_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_pthread_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
-echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
-if test $ac_cv_lib_pthread_main = yes; then
-  FOUND_pthread=yes
-fi
-
- if test "$FOUND_pthread" = "yes" ; then
-    LIBS="$LIBS -lpthread"
- fi
+# AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
+# if test "$FOUND_pthread" = "yes" ; then
+#    LIBS="$LIBS -lpthread"
+# fi
 
 
Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 3217)
+++ orxonox/trunk/configure.ac	(revision 3218)
@@ -2,5 +2,5 @@
 # Process this file with autoconf to produce a configure script.
 
-#AC_PREREQ(2.56)
+AC_PREREQ(2.56)
 AC_INIT(orxonox, 0.2.0_alpha-r1, orxonox-dev@mail.datacore.ch)
 
@@ -337,8 +337,8 @@
 
 #checking for pthread libs
- AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
- if test "$FOUND_pthread" = "yes" ; then
-    LIBS="$LIBS -lpthread"
- fi
+# AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
+# if test "$FOUND_pthread" = "yes" ; then
+#    LIBS="$LIBS -lpthread"
+# fi
 
 
Index: orxonox/trunk/doc/documentation.am
===================================================================
--- orxonox/trunk/doc/documentation.am	(revision 3217)
+++ orxonox/trunk/doc/documentation.am	(revision 3218)
@@ -3,8 +3,8 @@
 
 doc:
-	@echo "Generating doxygen Documentation"; \
 	if test ! -e $(DX_CONFIG_FILE); then \
 	 make doc-config; \
 	fi
+	@echo "Generating doxygen Documentation"; \
 	doxygen $(DX_CONFIG_FILE)
 
@@ -41,9 +41,14 @@
 
 doc-delete: 
-	@echo "Deleting doxygen Documentation" ; \
-	rm -rf $(top_srcdir)/doc/html ; \
+	@echo "Deleting doxygen Documentation" 
+	rm -rf $(top_srcdir)/doc/html 
 	rm -rf $(top_srcdir)/doc/latex 
 
+distclean-local: doc-delete
+	rm -f $(top_srcdir)/orxodox
 
+clean-local:  doc-delete
+
+all-local: doc
 
 .PHONY: doc doc-config doc-delete