Index: orxonox/trunk/src/ability.h
===================================================================
--- orxonox/trunk/src/ability.h	(revision 3223)
+++ orxonox/trunk/src/ability.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef ABILITY_H
-#define ABILITY_H
+#ifndef _ABILITY_H
+#define _ABILITY_H
 
 #include "data_tank.h"
@@ -14,3 +14,3 @@
 };
 
-#endif
+#endif /* _ABILITY_H */
Index: orxonox/trunk/src/ai.h
===================================================================
--- orxonox/trunk/src/ai.h	(revision 3223)
+++ orxonox/trunk/src/ai.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef AI_H
-#define AI_H
+#ifndef _AI_H
+#define _AI_H
 
 #include "data_tank.h"
@@ -13,3 +13,3 @@
 };
 
-#endif
+#endif /* _AI_H */
Index: orxonox/trunk/src/base_entity.h
===================================================================
--- orxonox/trunk/src/base_entity.h	(revision 3223)
+++ orxonox/trunk/src/base_entity.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef BASE_ENTITY_H
-#define BASE_ENTITY_H
+#ifndef _BASE_ENTITY_H
+#define _BASE_ENTITY_H
 
 #include "stdincl.h"
@@ -14,3 +14,3 @@
 };
 
-#endif
+#endif /* _BASE_ENTITY_H */
Index: orxonox/trunk/src/camera.h
===================================================================
--- orxonox/trunk/src/camera.h	(revision 3223)
+++ orxonox/trunk/src/camera.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef CAMERA_H
-#define CAMERA_H
+#ifndef _CAMERA_H
+#define _CAMERA_H
 
 #include "stdincl.h"
@@ -70,3 +70,3 @@
 };
 
-#endif
+#endif /* _CAMERA_H */
Index: orxonox/trunk/src/campaign.h
===================================================================
--- orxonox/trunk/src/campaign.h	(revision 3223)
+++ orxonox/trunk/src/campaign.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef CAMPAIGN_H
-#define CAMPAIGN_H
+#ifndef _CAMPAIGN_H
+#define _CAMPAIGN_H
 
 #include "stdincl.h"
@@ -41,3 +41,3 @@
 };
 
-#endif
+#endif /* _CAMPAIGN_H */
Index: orxonox/trunk/src/collision.h
===================================================================
--- orxonox/trunk/src/collision.h	(revision 3223)
+++ orxonox/trunk/src/collision.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef COLLISION_H
-#define COLLISION_H
+#ifndef _COLLISION_H
+#define _COLLISION_H
 
 #include "vector.h"
@@ -67,3 +67,3 @@
 int save_CC_Tree (CC_Tree* tree, FILE* stream);
 
-#endif
+#endif /* _COLLISION_H */
Index: orxonox/trunk/src/command_node.h
===================================================================
--- orxonox/trunk/src/command_node.h	(revision 3223)
+++ orxonox/trunk/src/command_node.h	(revision 3224)
@@ -6,6 +6,6 @@
 */
 
-#ifndef COMMAND_NODE_H
-#define COMMAND_NODE_H
+#ifndef _COMMAND_NODE_H
+#define _COMMAND_NODE_H
 
 #include "stdincl.h"
@@ -70,3 +70,3 @@
 };
 
-#endif
+#endif /* _COMMAND_NODE_H */
Index: orxonox/trunk/src/coordinates.h
===================================================================
--- orxonox/trunk/src/coordinates.h	(revision 3223)
+++ orxonox/trunk/src/coordinates.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef COORDINATES_H
-#define COORDINATES_H
+#ifndef _COORDINATES_H
+#define _COORDINATES_H
 
 #include "vector.h"
@@ -34,3 +34,3 @@
 } Placement;
 
-#endif
+#endif /* _COORDINATS_H */
Index: orxonox/trunk/src/data_tank.h
===================================================================
--- orxonox/trunk/src/data_tank.h	(revision 3223)
+++ orxonox/trunk/src/data_tank.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef DATA_TANK_H
-#define DATA_TANK_H
+#ifndef _DATA_TANK_H
+#define _DATA_TANK_H
 
 
@@ -12,3 +12,3 @@
 };
 
-#endif
+#endif /* _DATA_TANK_H */
Index: orxonox/trunk/src/environment.h
===================================================================
--- orxonox/trunk/src/environment.h	(revision 3223)
+++ orxonox/trunk/src/environment.h	(revision 3224)
@@ -1,4 +1,4 @@
-#ifndef ENVIRONEMENT_H
-#define ENVIRONEMENT_H
+#ifndef _ENVIRONEMENT_H
+#define _ENVIRONEMENT_H
 
 #include "world_entity.h"
@@ -29,3 +29,3 @@
 };
 
-#endif
+#endif /* _ENVIRONEMENT_H */
Index: orxonox/trunk/src/error.h
===================================================================
--- orxonox/trunk/src/error.h	(revision 3223)
+++ orxonox/trunk/src/error.h	(revision 3224)
@@ -22,5 +22,9 @@
 */ 
 
-// this are the two undefined error nr. Don't use them ...
+
+#ifndef _ERROR_H
+#define _ERROR_H
+
+// these are the two undefined error nr. Don't use them ...
 #define oERROR -1
 
@@ -56,2 +60,4 @@
   char* location;
 } ErrorMessage;
+
+#endif /* _ERROR_H */
Index: orxonox/trunk/src/game_loader.h
===================================================================
--- orxonox/trunk/src/game_loader.h	(revision 3223)
+++ orxonox/trunk/src/game_loader.h	(revision 3224)
@@ -1,4 +1,4 @@
-#ifndef GAME_LOADER_H
-#define GAME_LOADER_H
+#ifndef _GAME_LOADER_H
+#define _GAME_LOADER_H
 
 #include "stdincl.h"
@@ -47,3 +47,3 @@
 };
 
-#endif
+#endif /* _GAME_LOADER_H */
Index: orxonox/trunk/src/importer/vector.h
===================================================================
--- orxonox/trunk/src/importer/vector.h	(revision 3223)
+++ orxonox/trunk/src/importer/vector.h	(revision 3224)
@@ -6,6 +6,6 @@
 */ 
 
-#ifndef VECTOR_H
-#define VECTOR_H
+#ifndef _VECTOR_H
+#define _VECTOR_H
 
 #include <math.h>
@@ -149,3 +149,3 @@
 };
 
-#endif
+#endif /* _VECTOR_H */
Index: orxonox/trunk/src/ini_parser.h
===================================================================
--- orxonox/trunk/src/ini_parser.h	(revision 3223)
+++ orxonox/trunk/src/ini_parser.h	(revision 3224)
@@ -6,6 +6,6 @@
 */
 
-#ifndef INI_PARSER_H
-#define INI_PARSER_H
+#ifndef _INI_PARSER_H
+#define _INI_PARSER_H
 
 #include <stdio.h>
@@ -35,3 +35,3 @@
 };
 
-#endif
+#endif /* _INI_PARSER_H */
Index: orxonox/trunk/src/keynames.h
===================================================================
--- orxonox/trunk/src/keynames.h	(revision 3223)
+++ orxonox/trunk/src/keynames.h	(revision 3224)
@@ -5,4 +5,7 @@
 		Converts strings to SDLK/SDL_BUTTON values and vice versa
 */
+#ifndef _KEYNAMES_H
+#define _KEYNAMES_H
+
 
 #ifdef __WIN32__
@@ -44,2 +47,4 @@
 char* SDLK_to_keyname( int key);
 
+
+#endif /* _KEYNAMES_H */
Index: orxonox/trunk/src/list.h
===================================================================
--- orxonox/trunk/src/list.h	(revision 3223)
+++ orxonox/trunk/src/list.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef LIST_H
-#define LIST_H
+#ifndef _LIST_H
+#define _LIST_H
 
 #include "stdincl.h"
@@ -205,3 +205,3 @@
 {}
 
-#endif
+#endif /* _LIST_H */
Index: orxonox/trunk/src/list_template.h
===================================================================
--- orxonox/trunk/src/list_template.h	(revision 3223)
+++ orxonox/trunk/src/list_template.h	(revision 3224)
@@ -23,6 +23,6 @@
 */
 
-#ifndef LIST_TEMPLATE_H
-#define LIST_TEMPLATE_H
+#ifndef _LIST_TEMPLATE_H
+#define _LIST_TEMPLATE_H
 
 #include "stdincl.h"
@@ -305,4 +305,4 @@
 }
 
-#endif
-
+#endif /* _LIST_TENMPLATE_H */
+
Index: orxonox/trunk/src/message_structures.h
===================================================================
--- orxonox/trunk/src/message_structures.h	(revision 3223)
+++ orxonox/trunk/src/message_structures.h	(revision 3224)
@@ -4,6 +4,6 @@
 */
 
-#ifndef _MESSAGESTRUCTURES_H
-#define _MESSAGESTRUCTURES_H
+#ifndef _MESSAGE_STRUCTURES_H
+#define _MESSAGE_STRUCTURES_H
 
 #define CMD_LENGHT 16
@@ -26,3 +26,3 @@
 } Command;
 
-#endif
+#endif /* _MESSAGE_STRUCTURES_H */
Index: orxonox/trunk/src/npc.h
===================================================================
--- orxonox/trunk/src/npc.h	(revision 3223)
+++ orxonox/trunk/src/npc.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef NPC_H
-#define NPC_H
+#ifndef _NPC_H
+#define _NPC_H
 
 #include "world_entity.h"
@@ -41,3 +41,3 @@
 };
 
-#endif
+#endif /* _NPC_H */
Index: orxonox/trunk/src/orxonox.h
===================================================================
--- orxonox/trunk/src/orxonox.h	(revision 3223)
+++ orxonox/trunk/src/orxonox.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef ORXONOX_H
-#define ORXONOX_H
+#ifndef _ORXONOX_H
+#define _ORXONOX_H
 
 #include "stdincl.h"
@@ -72,4 +72,4 @@
 };
 
-#endif
+#endif /* _ORXONOX_H */
 
Index: orxonox/trunk/src/player.h
===================================================================
--- orxonox/trunk/src/player.h	(revision 3223)
+++ orxonox/trunk/src/player.h	(revision 3224)
@@ -4,6 +4,6 @@
 */
 
-#ifndef PLAYER_H
-#define PLAYER_H
+#ifndef _PLAYER_H
+#define _PLAYER_H
 
 #include "world_entity.h"
@@ -44,3 +44,3 @@
 };
 
-#endif
+#endif /* _PLAYER_H */
Index: orxonox/trunk/src/power_up.h
===================================================================
--- orxonox/trunk/src/power_up.h	(revision 3223)
+++ orxonox/trunk/src/power_up.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef POWER_UP_H
-#define POWER_UP_H
+#ifndef _POWER_UP_H
+#define _POWER_UP_H
 
 #include "data_tank.h"
@@ -19,3 +19,3 @@
 };
 
-#endif
+#endif /* _POWER_UP_H */
Index: orxonox/trunk/src/proto_class.h
===================================================================
--- orxonox/trunk/src/proto_class.h	(revision 3223)
+++ orxonox/trunk/src/proto_class.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef PROTO_CLASS_H
-#define PROTO_CLASS_H
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
 
 #include "data_tank.h"
@@ -14,3 +14,3 @@
 };
 
-#endif
+#endif /* _PROTO_CLASS_H */
Index: orxonox/trunk/src/shoot_laser.h
===================================================================
--- orxonox/trunk/src/shoot_laser.h	(revision 3223)
+++ orxonox/trunk/src/shoot_laser.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef SHOOT_LASER_H
-#define SHOOT_LASER_H
+#ifndef _SHOOT_LASER_H
+#define _SHOOT_LASER_H
 
 
@@ -40,3 +40,3 @@
 };
 
-#endif
+#endif /* _SHOOT_LASER_H */
Index: orxonox/trunk/src/shoot_rocket.h
===================================================================
--- orxonox/trunk/src/shoot_rocket.h	(revision 3223)
+++ orxonox/trunk/src/shoot_rocket.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef SHOOT_ROCKET_H
-#define SHOOT_ROCKET_H
+#ifndef _SHOOT_ROCKET_H
+#define _SHOOT_ROCKET_H
 
 
@@ -54,3 +54,3 @@
 };
 
-#endif
+#endif /* _SHOOT_ROCKET_H */
Index: orxonox/trunk/src/stdincl.h
===================================================================
--- orxonox/trunk/src/stdincl.h	(revision 3223)
+++ orxonox/trunk/src/stdincl.h	(revision 3224)
@@ -6,6 +6,6 @@
 */
 
-#ifndef STDINCL_H
-#define STDINCL_H
+#ifndef _STDINCL_H
+#define _STDINCL_H
 
 #define null 0   //!< null
@@ -39,3 +39,3 @@
 #include "orxonox.h"
 
-#endif
+#endif /* _STDINCL_H */
Index: orxonox/trunk/src/story_def.h
===================================================================
--- orxonox/trunk/src/story_def.h	(revision 3223)
+++ orxonox/trunk/src/story_def.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef STORY_DEF_H
-#define STORY_DEF_H
+#ifndef _STORY_DEF_H
+#define _STORY_DEF_H
 
 
@@ -22,3 +22,3 @@
 #define MAX_STORY_ENTITIES 99 //!> maximal StoryEntities in a Campaign
 
-#endif
+#endif /* _STORY_DEF_H */
Index: orxonox/trunk/src/story_entity.h
===================================================================
--- orxonox/trunk/src/story_entity.h	(revision 3223)
+++ orxonox/trunk/src/story_entity.h	(revision 3224)
@@ -5,6 +5,6 @@
 
 
-#ifndef STORY_ENTITY_H
-#define STORY_ENTITY_H
+#ifndef _STORY_ENTITY_H
+#define _STORY_ENTITY_H
 
 #include "stdincl.h"
@@ -46,3 +46,3 @@
 };
 
-#endif
+#endif /* _STORY_ENTITY_H */
Index: orxonox/trunk/src/synchronisable.h
===================================================================
--- orxonox/trunk/src/synchronisable.h	(revision 3223)
+++ orxonox/trunk/src/synchronisable.h	(revision 3224)
@@ -1,5 +1,5 @@
 
-#ifndef SYNCHRONISABLE_H
-#define SYNCHRONISABLE_H
+#ifndef _SYNCHRONISABLE_H
+#define _SYNCHRONISABLE_H
 
 #include "data_tank.h"
@@ -22,3 +22,3 @@
 };
 
-#endif
+#endif /* _SYNCHRONISABLE_H */
Index: orxonox/trunk/src/track.h
===================================================================
--- orxonox/trunk/src/track.h	(revision 3223)
+++ orxonox/trunk/src/track.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef TRACK_H
-#define TRACK_H
+#ifndef _TRACK_H
+#define _TRACK_H
 
 #include "stdincl.h"
@@ -39,3 +39,3 @@
 };
 
-#endif
+#endif /* _TRACK_H */
Index: orxonox/trunk/src/vector.h
===================================================================
--- orxonox/trunk/src/vector.h	(revision 3223)
+++ orxonox/trunk/src/vector.h	(revision 3224)
@@ -6,6 +6,6 @@
 */ 
 
-#ifndef VECTOR_H
-#define VECTOR_H
+#ifndef _VECTOR_H
+#define _VECTOR_H
 
 #include <math.h>
@@ -185,3 +185,3 @@
 
 
-#endif
+#endif /* _VECTOR_H */
Index: orxonox/trunk/src/world.h
===================================================================
--- orxonox/trunk/src/world.h	(revision 3223)
+++ orxonox/trunk/src/world.h	(revision 3224)
@@ -4,6 +4,6 @@
 */ 
 
-#ifndef WORLD_H
-#define WORLD_H
+#ifndef _WORLD_H
+#define _WORLD_H
 
 #include "stdincl.h"
@@ -145,3 +145,3 @@
 }
 
-#endif
+#endif /* _WORLD_H */
Index: orxonox/trunk/src/world_entity.h
===================================================================
--- orxonox/trunk/src/world_entity.h	(revision 3223)
+++ orxonox/trunk/src/world_entity.h	(revision 3224)
@@ -4,6 +4,6 @@
 */
 
-#ifndef WORLD_ENTITY_H
-#define WORLD_ENTITY_H
+#ifndef _WORLD_ENTITY_H
+#define _WORLD_ENTITY_H
 
 #include "stdincl.h"
@@ -55,3 +55,3 @@
 };
 
-#endif
+#endif /* _WORLD_ENTITY_H */