Index: /orxonox/trunk/src/camera.cc
===================================================================
--- /orxonox/trunk/src/camera.cc	(revision 3224)
+++ /orxonox/trunk/src/camera.cc	(revision 3225)
@@ -61,5 +61,5 @@
    as smooth camera movement or swaying).
 */
-void Camera::time_slice (Uint32 deltaT)
+void Camera::timeSlice (Uint32 deltaT)
 {
   if( this->t <= deltaTime)
Index: /orxonox/trunk/src/camera.h
===================================================================
--- /orxonox/trunk/src/camera.h	(revision 3224)
+++ /orxonox/trunk/src/camera.h	(revision 3225)
@@ -60,5 +60,5 @@
   ~Camera ();
   
-  void time_slice (Uint32 deltaT);
+  void timeSlice (Uint32 deltaT);
   void apply ();
   void bind (WorldEntity* entity);
Index: /orxonox/trunk/src/campaign.cc
===================================================================
--- /orxonox/trunk/src/campaign.cc	(revision 3224)
+++ /orxonox/trunk/src/campaign.cc	(revision 3225)
@@ -104,5 +104,5 @@
       if( ( nextWorldID == WORLD_ID_GAMEEND) ||( se == NULL) ) 
 	{
-	  printf("Campaign::start() - quiting campaing story loop\n");
+	  printf("Campaign::start() - quitting campaing story loop\n");
 	  if(se != NULL)
 	    delete se;
@@ -148,4 +148,7 @@
 }
 
+/*
+  \brief this changes to the next level
+*/
 void Campaign::nextLevel()
 {
@@ -157,8 +160,18 @@
 }
 
+/*
+  \brief change to the previous level - not implemented
+
+  this propably useless
+*/
 void Campaign::previousLevel()
 {}
 
 
+/*
+  \brief lookup a entity with a given id
+  \param story id to be lookuped
+  \returns the entity found or NULL if search ended without match
+*/
 StoryEntity* Campaign::getStoryEntity(int storyID)
 {
Index: /orxonox/trunk/src/command_node.cc
===================================================================
--- /orxonox/trunk/src/command_node.cc	(revision 3224)
+++ /orxonox/trunk/src/command_node.cc	(revision 3225)
@@ -108,5 +108,5 @@
    \param filename: The path and name of the file to load the bindings from
 */
-void CommandNode::load_bindings (char* filename)
+void CommandNode::loadBindings (char* filename)
 {
   FILE* stream;
@@ -125,5 +125,5 @@
   // create parser
   IniParser parser (filename);
-  if( parser.get_section ("Bindings") == -1)
+  if( parser.getSection ("Bindings") == -1)
     {
       printf("Could not find key bindings in %s\n", filename);
@@ -145,9 +145,9 @@
 	{
 	case 0:
-	  printf("Key binding %d(%s) set to %s\n", index[1], SDLK_to_keyname( index[1]), valuebuf);
+	  printf("Key binding %d(%s) set to %s\n", index[1], SDLKToKeyname( index[1]), valuebuf);
 	  strcpy (aliases->keys[index[1]], valuebuf);
 	  break;
 	case 1:
-	  printf("Button binding %d(%s) set to %s\n", index[1], SDLB_to_buttonname( index[1]), valuebuf);
+	  printf("Button binding %d(%s) set to %s\n", index[1], SDLBToButtonname( index[1]), valuebuf);
 	  strcpy (aliases->buttons[index[1]], valuebuf);
 	  break;
@@ -166,5 +166,5 @@
 void CommandNode::bind (WorldEntity* entity)
 {
-  bound->add(entity);
+  bound->add (entity);
 }
 
@@ -175,18 +175,18 @@
 void CommandNode::unbind (WorldEntity* entity)
 {
-  bound->remove(entity);
-}
-
-int* CommandNode::name_to_index (char* name)
+  bound->remove (entity);
+}
+
+int* CommandNode::nameToIndex (char* name)
 {
   coord[0] = -1;
   coord[1] = -1;
   int c;
-  if( (c = keyname_to_SDLK (name)) != -1)
+  if( (c = keynameToSDLK (name)) != -1)
     {
       coord[1] = c;
       coord[0] = 0;
     }
-  if( (c = buttonname_to_SDLB (name)) != -1)
+  if( (c = buttonnameToSDLB (name)) != -1)
     {
       coord[1] = c;
@@ -203,6 +203,6 @@
   if( this->bEnabled) 
     {
-      if( bLocalInput) process_local ();
-      else process_network ();
+      if( bLocalInput) processLocal ();
+      else processNetwork ();
     }
 }
@@ -220,10 +220,10 @@
 	  strcpy (cmd.cmd, aliases->keys[event.key.keysym.sym]);
 	  cmd.bUp = false;
-	  if( strlen (cmd.cmd) > 0) relay (&cmd);
+	  if( strlen (cmd.cmd) > 0) relay(&cmd);
 	  break;
 	case SDL_KEYUP:
 	  strcpy( cmd.cmd, aliases->keys[event.key.keysym.sym]);
 	  cmd.bUp = true;
-	  if( strlen (cmd.cmd) > 0) relay (&cmd);
+	  if( strlen (cmd.cmd) > 0) relay(&cmd);
 	  break;
 	case SDL_MOUSEMOTION:
@@ -237,10 +237,10 @@
 	  strcpy( cmd.cmd, aliases->buttons[event.button.button]);
 	  cmd.bUp = true;
-	  if( strlen (cmd.cmd) > 0) relay (&cmd);
+	  if( strlen (cmd.cmd) > 0) relay(&cmd);
 	  break;
 	case SDL_MOUSEBUTTONDOWN:
 	  strcpy( cmd.cmd, aliases->buttons[event.button.button]);
 	  cmd.bUp = false;
-	  if( strlen (cmd.cmd) > 0) relay (&cmd);
+	  if( strlen (cmd.cmd) > 0) relay(&cmd);
 	  break;
 	case SDL_JOYAXISMOTION:
@@ -252,5 +252,5 @@
 	default:
 	  Orxonox *orx = Orxonox::getInstance();
-	  orx->event_handler (&event);
+	  orx->eventHandler(&event);
 	  break;
 	}
@@ -259,5 +259,5 @@
 
 
-void CommandNode::process_network ()
+void CommandNode::processNetwork ()
 {
 
@@ -269,10 +269,10 @@
 
   Orxonox *orx = Orxonox::getInstance();
-  if( orx->system_command (cmd)) return;
+  if( orx->systemCommand (cmd)) return;
 
   GameLoader* gl = GameLoader::getInstance();
   if( gl->worldCommand(cmd)) return;
 
-  if( bLocalInput) send_over_network (cmd);
+  if( bLocalInput) sendOverNetwork (cmd);
   
   if( this->world->command(cmd)) return;
@@ -291,10 +291,10 @@
    \param ID: the new ID to use
 */
-void CommandNode::set_netID (int ID)
+void CommandNode::setNetID (int ID)
 {
   netID = ID;
 }
 
-void CommandNode::send_over_network (Command* cmd)
-{
-}
+void CommandNode::sendOverNetwork (Command* cmd)
+{
+}
Index: /orxonox/trunk/src/command_node.h
===================================================================
--- /orxonox/trunk/src/command_node.h	(revision 3224)
+++ /orxonox/trunk/src/command_node.h	(revision 3225)
@@ -49,8 +49,8 @@
 
   void relay (Command* cmd);
-  int* name_to_index (char* name);
-  void process_local ();
-  void process_network ();
-  void send_over_network (Command* cmd);
+  int* nameToIndex (char* name);
+  void processLocal ();
+  void processNetwork ();
+  void sendOverNetwork (Command* cmd);
   
  public:
@@ -59,13 +59,13 @@
   ~CommandNode ();
 
-  void reset();
-  void enable(bool bEnabled);
+  void reset ();
+  void enable (bool bEnabled);
   void load_bindings (char* filename);
   void bind (WorldEntity* entity);
   void unbind (WorldEntity* entity);
-  void addToWorld(World* world);
+  void addToWorld (World* world);
   void process ();
   
-  void set_netID (int ID);
+  void setNetID (int ID);
 };
 
Index: /orxonox/trunk/src/game_loader.cc
===================================================================
--- /orxonox/trunk/src/game_loader.cc	(revision 3224)
+++ /orxonox/trunk/src/game_loader.cc	(revision 3225)
@@ -42,4 +42,10 @@
 
 
+/**
+   \brief this class is a singleton class
+   \returns an instance of itself
+
+   if you are unsure about singleton classes, check the theory out on the internet :)
+*/
 GameLoader* GameLoader::getInstance()
 {
@@ -57,4 +63,11 @@
 
 
+/**
+   \brief reads a campaign definition file into a campaign class
+   \param filename to be loaded
+   \returns the loaded campaign
+
+   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+*/
 ErrorMessage GameLoader::loadCampaign(char* name)
 {
@@ -64,4 +77,10 @@
 }
 
+
+/**
+   \brief loads a debug campaign for test purposes only.
+   \param the identifier of the campaign.
+   \returns error message if not able to do so.
+*/
 ErrorMessage GameLoader::loadDebugCampaign(Uint32 campaignID)
 {
@@ -117,8 +136,18 @@
 }
 
-ErrorMessage GameLoader::free()
+/**
+   \brief release the mem
+ */
+ErrorMessage GameLoader::destroy()
 {}
 
 
+/**
+   \brief reads a campaign definition file into a campaign class
+   \param filename to be loaded
+   \returns the loaded campaign
+
+   this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
+*/
 Campaign* GameLoader::fileToCampaign(char *name)
 {
@@ -133,5 +162,5 @@
    \brief handle keyboard commands 
    \param cmd: the command to handle
-   \return true if the command was handled by the system
+   \returns true if the command was handled by the system
 */
 bool GameLoader::worldCommand (Command* cmd)
@@ -172,4 +201,8 @@
 }
 
+
+/*
+  \brief this changes to the next level
+*/
 void GameLoader::nextLevel()
 {
@@ -178,4 +211,10 @@
 }
 
+
+/*
+  \brief change to the previous level - not implemented
+
+  this propably useless
+*/
 void GameLoader::previousLevel()
 {
Index: /orxonox/trunk/src/game_loader.h
===================================================================
--- /orxonox/trunk/src/game_loader.h	(revision 3224)
+++ /orxonox/trunk/src/game_loader.h	(revision 3225)
@@ -26,5 +26,5 @@
   ErrorMessage pause();
   ErrorMessage resume();
-  ErrorMessage free();
+  ErrorMessage destroy();
 
   void nextLevel();
Index: /orxonox/trunk/src/world.cc
===================================================================
--- /orxonox/trunk/src/world.cc	(revision 3224)
+++ /orxonox/trunk/src/world.cc	(revision 3225)
@@ -72,7 +72,4 @@
 
 
-/** 
-    \brief initialize the world before use.
-*/
 ErrorMessage World::init()
 {
@@ -118,4 +115,10 @@
       switch(this->debugWorldNr)
 	{
+	  /*
+	    this loads the hard-coded debug world. this only for simplicity and will be 
+	    removed by a reald world-loader, which interprets a world-file.
+	    if you want to add an own debug world, just add a case DEBUG_WORLD_[nr] and
+	    make whatever you want...
+	   */
 	case DEBUG_WORLD_0:
 	  {
@@ -497,7 +500,7 @@
       else
 	{
-	  /* TO DO: implement check whether this particular free entity 
+	  /* \todo: implement check whether this particular free entity 
 	     is out of the game area
-	     TO DO: call function to notify the entity that it left 
+	     \todo: call function to notify the entity that it left 
 	     the game area
 	  */
@@ -513,5 +516,5 @@
     \param deltaT: the time passed since the last frame in milliseconds
 */
-void World::time_slice (Uint32 deltaT)
+void World::timeSlice (Uint32 deltaT)
 {
   //List<WorldEntity> *l;
@@ -544,5 +547,5 @@
    Camera Placement
 */
-void World::calc_camera_pos (Location* loc, Placement* plc)
+void World::calcCameraPos (Location* loc, Placement* plc)
 {
   track[loc->part].map_camera (loc, plc);
@@ -560,4 +563,10 @@
 }
 
+
+
+/**
+   \brief function to put your own debug stuff into it. it can display informations about
+   the current class/procedure
+*/
 void World::debug()
 {
@@ -576,4 +585,11 @@
 
 
+/*
+  \brief main loop of the world: executing all world relevant function
+
+  in this loop we synchronize (if networked), handle input events, give the heart-beat to
+  all other member-entities of the world (tick to player, enemies etc.), checking for
+  collisions drawing everything to the screen.
+*/
 void World::mainLoop()
 {
@@ -582,6 +598,4 @@
   while( !this->bQuitOrxonox && !this->bQuitCurrentGame) /* \todo implement pause */
     {
-      //debug routine
-      //debug();
       // Network
       synchronize();
@@ -594,5 +608,5 @@
 	}
       // Process time
-      time_slice();
+      timeSlice();
       // Process collision
       collision();
@@ -616,9 +630,12 @@
 /**
    \brief run all input processing
-*/
-void World::handle_input ()
+
+   the command node is the central input event dispatcher. the node uses the even-queue from
+   sdl and has its own event-passing-queue.
+*/
+void World::handleInput ()
 {
   // localinput
-  CommandNode* cn = Orxonox::getInstance()->get_localinput();
+  CommandNode* cn = Orxonox::getInstance()->getLocalInput();
   cn->process();
   // remoteinput
@@ -627,6 +644,10 @@
 /**
    \brief advance the timeline
-*/
-void World::time_slice ()
+
+   this calculates the time used to process one frame (with all input handling, drawing, etc)
+   the time is mesured in ms and passed to all world-entities and other classes that need
+   a heart-beat.
+*/
+void World::timeSlice ()
 {
   Uint32 currentFrame = SDL_GetTicks();
@@ -642,12 +663,14 @@
       else
 	{
+	  /* the frame-rate is limited to 100 frames per second, all other things are for
+	     nothing.
+	  */
 	  printf("fps = 1000 - frame rate is adjusted\n");
 	  SDL_Delay(10);
 	  dt = 10;
 	}
-      
-      this->time_slice (dt);
+      this->timeSlice (dt);
       this->update ();
-      this->localCamera->time_slice (dt);
+      this->localCamera->timeSlice(dt);
     }
   this->lastFrame = currentFrame;
@@ -665,5 +688,7 @@
 
 /**
-	\brief render the current frame
+   \brief render the current frame
+   
+   clear all buffers and draw the world
 */
 void World::display ()
@@ -680,4 +705,10 @@
 }
 
+/**
+   \brief give back active camera
+   
+   this passes back the actualy active camera
+   \todo ability to define more than one camera or camera-places
+*/
 Camera* World::getCamera()
 {
@@ -686,4 +717,8 @@
 
 
+/**
+   \brief add and spawn a new entity to this world
+   \param entity to be added
+*/
 void World::spawn(WorldEntity* entity)
 {
@@ -707,4 +742,9 @@
 
 
+/**
+   \brief add and spawn a new entity to this world
+   \param entity to be added
+   \param location where to add
+*/
 void World::spawn(WorldEntity* entity, Location* loc)
 {
@@ -730,4 +770,9 @@
 
 
+/**
+   \brief add and spawn a new entity to this world
+   \param entity to be added
+   \param place where to be added
+*/
 void World::spawn(WorldEntity* entity, Placement* plc)
 {
@@ -747,4 +792,8 @@
 
 
+/*
+  \brief commands that the world must catch
+  \returns false if not used by the world
+*/
 bool World::command(Command* cmd)
 {
Index: /orxonox/trunk/src/world.h
===================================================================
--- /orxonox/trunk/src/world.h	(revision 3224)
+++ /orxonox/trunk/src/world.h	(revision 3225)
@@ -25,34 +25,34 @@
 
   template<typename T> 
-    T* spawn(Location* loc, WorldEntity* owner);	// template to be able to spawn any derivation of WorldEntity
+    T* spawn (Location* loc, WorldEntity* owner);	// template to be able to spawn any derivation of WorldEntity
   template<typename T> 
-    T* spawn(Placement* plc, WorldEntity* owner);
+    T* spawn (Placement* plc, WorldEntity* owner);
   
-  virtual ErrorMessage init();
-  virtual ErrorMessage start();
-  virtual ErrorMessage stop();
-  virtual ErrorMessage pause();
-  virtual ErrorMessage resume();
+  virtual ErrorMessage init ();
+  virtual ErrorMessage start ();
+  virtual ErrorMessage stop ();
+  virtual ErrorMessage pause ();
+  virtual ErrorMessage resume ();
 
-  virtual void load();
-  virtual void destroy();
+  virtual void load ();
+  virtual void destroy ();
 
-  void time_slice (Uint32 deltaT);
+  void timeSlice (Uint32 deltaT);
   void collide ();
   void draw ();
   void update ();	// maps Locations to Placements
-  void calc_camera_pos (Location* loc, Placement* plc);
+  void calcCameraPos (Location* loc, Placement* plc);
 	
   void unload ();
-  bool command(Command* cmd);
+  bool command (Command* cmd);
   
-  void setTrackLen(Uint32 tracklen);
-  int getTrackLen();
+  void setTrackLen (Uint32 tracklen);
+  int getTrackLen ();
   //bool system_command (Command* cmd);
-  Camera* getCamera();
+  Camera* getCamera ();
 
-  void spawn(WorldEntity* entity);
-  void spawn(WorldEntity* entity, Location* loc);
-  void spawn(WorldEntity* entity, Placement* plc);
+  void spawn (WorldEntity* entity);
+  void spawn (WorldEntity* entity, Location* loc);
+  void spawn (WorldEntity* entity, Placement* plc);
 
   tList<WorldEntity>* entities;
@@ -76,11 +76,11 @@
   WorldEntity* localPlayer;
   
-  void mainLoop();
-  void synchronize();
-  void handle_input();
-  void time_slice();
-  void collision();
-  void display();
-  void debug();
+  void mainLoop ();
+  void synchronize ();
+  void handle_input ();
+  void timeSlice ();
+  void collision ();
+  void display ();
+  void debug ();
 };
 