Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 3220)
+++ orxonox/trunk/src/orxonox.cc	(revision 3226)
@@ -47,5 +47,5 @@
 Orxonox::~Orxonox () 
 {
-  Orxonox::singleton_ref = NULL;
+  Orxonox::singletonRef = NULL;
   if( world != NULL) delete world;
   if( localinput != NULL) delete world;
@@ -56,11 +56,11 @@
 
 /* this is a singleton class to prevent duplicates */
-Orxonox* Orxonox::singleton_ref = 0;
+Orxonox* Orxonox::singletonRef = 0;
 
 Orxonox* Orxonox::getInstance (void)
 {
-  if (singleton_ref == NULL)
-    singleton_ref = new Orxonox();
-  return singleton_ref;
+  if (singletonRef == NULL)
+    singletonRef = new Orxonox();
+  return singletonRef;
 }
 
@@ -72,5 +72,5 @@
    it's path and name into configfilename
 */
-void Orxonox::get_config_file (int argc, char** argv)
+void Orxonox::getConfigFile (int argc, char** argv)
 {
   strcpy (configfilename, "orxonox.conf");
@@ -85,15 +85,15 @@
   // config file
   
-  get_config_file (argc, argv);
+  getConfigFile (argc, argv);
   SDL_Init (SDL_INIT_TIMER);
   // initialize everything
-  if( init_video () == -1) return -1;
-  if( init_sound () == -1) return -1;
+  if( initVideo() == -1) return -1;
+  if( initSound() == -1) return -1;
   printf("> Initializing input\n");
-  if( init_input () == -1) return -1;
+  if( initInput() == -1) return -1;
   printf("> Initializing networking\n");
-  if( init_networking () == -1) return -1;
+  if( initNetworking () == -1) return -1;
   printf("> Initializing resources\n");
-  if( init_resources () == -1) return -1;
+  if( initResources () == -1) return -1;
   //printf("> Initializing world\n");
   //if( init_world () == -1) return -1; PB: world will be initialized when started
@@ -105,8 +105,8 @@
    \brief initializes SDL and OpenGL
 */
-int Orxonox::init_video () 
+int Orxonox::initVideo() 
 {
   printf("> Initializing video\n");
-  if (SDL_Init (SDL_INIT_VIDEO) == -1)
+  if (SDL_Init(SDL_INIT_VIDEO) == -1)
     {
       printf ("could not initialize SDL Video\n");
@@ -115,8 +115,8 @@
   // Set video mode
   // TO DO: parse arguments for settings
-  SDL_GL_SetAttribute (SDL_GL_RED_SIZE, 5);
-  SDL_GL_SetAttribute (SDL_GL_GREEN_SIZE, 5);
-  SDL_GL_SetAttribute (SDL_GL_BLUE_SIZE, 5);
-  SDL_GL_SetAttribute (SDL_GL_DEPTH_SIZE, 16);
+  SDL_GL_SetAttribute(SDL_GL_RED_SIZE, 5);
+  SDL_GL_SetAttribute(SDL_GL_GREEN_SIZE, 5);
+  SDL_GL_SetAttribute(SDL_GL_BLUE_SIZE, 5);
+  SDL_GL_SetAttribute(SDL_GL_DEPTH_SIZE, 16);
   
   int bpp = 16;
@@ -125,7 +125,7 @@
   Uint32 flags = SDL_HWSURFACE | SDL_OPENGL | SDL_GL_DOUBLEBUFFER;
   
-  if( (screen = SDL_SetVideoMode (width, height, bpp, flags)) == NULL)
+  if((screen = SDL_SetVideoMode (width, height, bpp, flags)) == NULL)
   {
-    printf ("Could not SDL_SetVideoMode(%d, %d, %d, %d): %s\n", width, height, bpp, flags, SDL_GetError());
+    printf("Could not SDL_SetVideoMode(%d, %d, %d, %d): %s\n", width, height, bpp, flags, SDL_GetError());
     SDL_Quit();
     return -1;
@@ -133,5 +133,5 @@
   
   // Set window labeling
-  SDL_WM_SetCaption( "Orxonox " PACKAGE_VERSION, "Orxonox " PACKAGE_VERSION);
+  SDL_WM_SetCaption("Orxonox " PACKAGE_VERSION, "Orxonox " PACKAGE_VERSION);
   
   // TO DO: Create a cool icon and use it here
@@ -169,8 +169,8 @@
    \brief initializes the sound engine
 */
-int Orxonox::init_sound () 
+int Orxonox::initSound() 
 {
   printf("> Initializing sound\n");
-  // SDL_Init (SDL_INIT_AUDIO);
+  // SDL_Init(SDL_INIT_AUDIO);
   printf("Not yet implemented\n");
   return 0;
@@ -181,5 +181,5 @@
    \brief initializes input functions
 */
-int Orxonox::init_input () 
+int Orxonox::initInput() 
 {
   // create localinput
@@ -193,5 +193,5 @@
    \brief initializes network system
 */
-int Orxonox::init_networking () 
+int Orxonox::initNetworking() 
 {
   printf("Not yet implemented\n");
@@ -203,5 +203,5 @@
    \brief initializes and loads resource files
 */
-int Orxonox::init_resources () 
+int Orxonox::initResources() 
 {
   printf("Not yet implemented\n");
@@ -213,5 +213,5 @@
    \brief initializes the world
 */
-int Orxonox::init_world () 
+int Orxonox::initWorld() 
 {
   //world = new World();
@@ -256,5 +256,5 @@
    \param event: an event not handled by the CommandNode 
 */
-void Orxonox::event_handler (SDL_Event* event)
+void Orxonox::eventHandler(SDL_Event* event)
 {
   // Handle special events such as reshape, quit, focus changes
@@ -267,5 +267,5 @@
    \return true if the command was handled by the system or false if it may be passed to the WorldEntities
 */
-bool Orxonox::system_command (Command* cmd)
+bool Orxonox::systemCommand(Command* cmd)
 {
   /*
@@ -285,5 +285,5 @@
    \return a pointer to localcamera
 */
-Camera* Orxonox::get_camera ()
+Camera* Orxonox::getCamera()
 {
   return localcamera;
@@ -295,5 +295,5 @@
    \return a pointer to localinput
 */
-CommandNode* Orxonox::get_localinput ()
+CommandNode* Orxonox::getLocalInput()
 {
   return localinput;
@@ -305,5 +305,5 @@
    \return a pointer to world
 */
-World* Orxonox::get_world ()
+World* Orxonox::getWorld()
 {
   return world;
@@ -313,10 +313,10 @@
 
 
-int main (int argc, char** argv) 
+int main(int argc, char** argv) 
 {  
   printf(">>> Starting Orxonox <<<\n");
   Orxonox *orx = Orxonox::getInstance();
   
-  if( (*orx).init(argc, argv) == -1)
+  if((*orx).init(argc, argv) == -1)
     {
       printf("! Orxonox initialization failed\n");