Index: orxonox/trunk/src/camera.cc
===================================================================
--- orxonox/trunk/src/camera.cc	(revision 3227)
+++ orxonox/trunk/src/camera.cc	(revision 3228)
@@ -76,5 +76,5 @@
    bound entity's position on the track.
 */
-void Camera::update_desired_place ()
+void Camera::updateDesiredPlace ()
 {
   switch(cameraMode)
@@ -90,5 +90,5 @@
 	  {
 	    bound->get_lookat (&lookat);
-	    orx->get_world()->calc_camera_pos (&lookat, &plFocus);
+	    orx->getWorld()->calcCameraPos (&lookat, &plFocus);
 	    Quaternion *fr;
 	    if(t < 20.0)
@@ -101,5 +101,5 @@
 		
 		Vector op(1.0, 0.0, 0.0);
-		float angle = angle_deg(op, *start);
+		float angle = angleDeg(op, *start);
 		printf("angle is: %f\n", angle);
 
@@ -144,7 +144,7 @@
 
 	    Vector ursp(0.0, 0.0, 0.0);
-	    desired_place.r = /*plFocus.r -*/ ursp - res->apply(r); 
-
-	    printf("desired place is: %f, %f, %f\n", desired_place.r.x, desired_place.r.y, desired_place.r.z);
+	    desiredPlace.r = /*plFocus.r -*/ ursp - res->apply(r); 
+
+	    printf("desired place is: %f, %f, %f\n", desiredPlace.r.x, desiredPlace.r.y, desiredPlace.r.z);
 	    //plLastBPlace = *bound->get_placement();
 	  } 
@@ -153,12 +153,12 @@
     case SMOTH_FOLLOW:
       {
-	Placement *plBound = bound->get_placement();
+	Placement *plBound = bound->getPlacement();
 	Location lcBound;
 	if(bound != null)
 	  {
-	    bound->get_lookat(&lcBound);
+	    bound->getLookat(&lcBound);
 	    Vector vDirection(0.0, 0.0, 1.0);
 	    vDirection = plBound->w.apply(vDirection);
-	    desired_place.r = (vDirection * ((lcBound.dist-10.0)/* / l*/)) + Vector(0,0,5.0);
+	    desiredPlace.r = (vDirection * ((lcBound.dist-10.0)/* / l*/)) + Vector(0,0,5.0);
 	  }
 	break;
@@ -173,5 +173,5 @@
 	    Vector eclipticOffset(0.0, 0.0, 5.0);
 	    vDirection = plBound->w.apply(vDirection);
-	    desired_place.r = plBound->r - vDirection*10 + eclipticOffset;
+	    desiredPlace.r = plBound->r - vDirection*10 + eclipticOffset;
 	  }
 	break;
@@ -182,11 +182,11 @@
       if( bound != NULL && world != NULL )
 	{
-	  bound->get_lookat (&lookat);
-	  world->calc_camera_pos (&lookat, &desired_place);
+	  bound->getLookat (&lookat);
+	  world->calcCameraPos (&lookat, &desiredPlace);
 	} 
       else
 	{
-	  desired_place.r = Vector (0,0,0);
-	  desired_place.w = Quaternion (); 
+	  desiredPlace.r = Vector (0,0,0);
+	  desiredPlace.w = Quaternion (); 
 	}
       break;
@@ -265,11 +265,11 @@
   if( plc == NULL)
     {
-      actual_place = desired_place;
+      actualPlace = desiredPlace;
       //printf("Camera|jump: camer@ %f, %f, %f\n\n", actual_place.r.x, actual_place.r.y, actual_place.r.z);
     }
   else
     {
-      desired_place = *plc;
-      actual_place = *plc;
+      desiredPlace = *plc;
+      actualPlace = *plc;
     }
 }
Index: orxonox/trunk/src/camera.h
===================================================================
--- orxonox/trunk/src/camera.h	(revision 3227)
+++ orxonox/trunk/src/camera.h	(revision 3228)
@@ -27,5 +27,5 @@
   WorldEntity* bound;		//!< the WorldEntity the Camera is bound to
   Placement actual_place;	        //!< the Camera's current position
-  Placement desired_place;        //!< where the Camera should be according to calculations
+  Placement desiredPlace;        //!< where the Camera should be according to calculations
   World* world;
   
@@ -54,5 +54,5 @@
   CAMERA_MODE cameraMode; //!< saves the camera mode: how the camera follows the entity
   
-  void update_desired_place ();
+  void updateDesiredPlace ();
   
  public:
Index: orxonox/trunk/src/vector.cc
===================================================================
--- orxonox/trunk/src/vector.cc	(revision 3227)
+++ orxonox/trunk/src/vector.cc	(revision 3228)
@@ -203,5 +203,5 @@
    \return the angle between the vectors in radians
 */
-float angle_rad (const Vector& v1, const Vector& v2)
+float angleRad (const Vector& v1, const Vector& v2)
 {
   return acos( v1 * v2 / (v1.len() * v2.len()));
@@ -215,5 +215,5 @@
    \return the angle between the vectors in degrees
 */
-float angle_deg (const Vector& v1, const Vector& v2)
+float angleDeg (const Vector& v1, const Vector& v2)
 {
   float f;
@@ -714,5 +714,5 @@
    \return the rotated vector
 */
-Vector rotate_vector( const Vector& v, const Rotation& r)
+Vector rotateVector( const Vector& v, const Rotation& r)
 {
   Vector t;
@@ -745,5 +745,5 @@
    \return the distance between the Line and the point
 */
-float Line::distance_point (const Vector& v) const
+float Line::distancePoint (const Vector& v) const
 {
   Vector d = v-r;
@@ -815,5 +815,5 @@
    \param l: a line
 */
-Vector Plane::intersect_line (const Line& l) const
+Vector Plane::intersectLine (const Line& l) const
 {
   if (n.x*l.a.x+n.y*l.a.y+n.z*l.a.z == 0.0) return Vector(0,0,0);
@@ -827,5 +827,5 @@
    \return the distance between the plane and the point (can be negative)
 */
-float Plane::distance_point (const Vector& p) const
+float Plane::distancePoint (const Vector& p) const
 {
   float l = n.len();
@@ -839,5 +839,5 @@
    \return 0 if the point is contained within the Plane, positive(negative) if the point is in the positive(negative) semi-space of the Plane
 */
-float Plane::locate_point (const Vector& p) const
+float Plane::locatePoint (const Vector& p) const
 {
   return (n.dot(p) + k);
Index: orxonox/trunk/src/vector.h
===================================================================
--- orxonox/trunk/src/vector.h	(revision 3227)
+++ orxonox/trunk/src/vector.h	(revision 3228)
@@ -40,6 +40,6 @@
 };
 
-float angle_deg (const Vector& v1, const Vector& v2);
-float angle_rad (const Vector& v1, const Vector& v2);
+float angleDeg (const Vector& v1, const Vector& v2);
+float angleRad (const Vector& v1, const Vector& v2);
 
 //! Quaternion
@@ -98,5 +98,5 @@
 
 //!< Apply a rotation to a vector
-Vector rotate_vector( const Vector& v, const Rotation& r);
+Vector rotateVector( const Vector& v, const Rotation& r);
 
 //! 3D line
@@ -118,5 +118,5 @@
   
   float distance (const Line& l) const;
-  float distance_point (const Vector& v) const;
+  float distancePoint (const Vector& v) const;
   Vector* footpoints (const Line& l) const;
   float len () const;
@@ -144,7 +144,7 @@
   ~Plane () {}
   
-  Vector intersect_line (const Line& l) const;
-  float distance_point (const Vector& p) const;
-  float locate_point (const Vector& p) const;
+  Vector intersectLine (const Line& l) const;
+  float distancePoint (const Vector& p) const;
+  float locatePoint (const Vector& p) const;
 };
 