Index: orxonox/trunk/src/track.cc
===================================================================
--- orxonox/trunk/src/track.cc	(revision 3005)
+++ orxonox/trunk/src/track.cc	(revision 3232)
@@ -21,31 +21,31 @@
 
 /**
-	\brief creates a null Track part
+   \brief creates a null Track part
 */
 Track::Track ()
 {
-	ID = 0;
-	offset = NULL;
-	end = NULL;
-	nextID = 0;
+  this->ID = 0;
+  this->offset = NULL;
+  this->end = NULL;
+  this->nextID = 0;
 }
 
 /**
-	\brief creates a functional base Track part
-	\param number: the ID if this Track part
-	\param next: the ID of the next Track part
-	\param start: pointer to an anchor point (Vector) representing the offset of this part
-	\param finish: pointer to an anchor point (Vector) representing the end of this part
+   \brief creates a functional base Track part
+   \param number: the ID if this Track part
+   \param next: the ID of the next Track part
+   \param start: pointer to an anchor point (Vector) representing the offset of this part
+   \param finish: pointer to an anchor point (Vector) representing the end of this part
 */
 Track::Track (Uint32 number, Uint32 next, Vector* start, Vector* finish)
 {
-	ID = number;
-	offset = start;
-	end = finish;
-	nextID = next;
+  this->ID = number;
+  this->offset = start;
+  this->end = finish;
+  this->nextID = next;
 }
 
 /**
-	\brief removes the Track part from memory
+   \brief removes the Track part from memory
 */
 Track::~Track ()
@@ -68,5 +68,5 @@
    at inside camera boundaries.
 */
-void Track::map_camera (Location* lookat, Placement* camplc)
+void Track::mapCamera (Location* lookat, Placement* camplc)
 {
   Line trace(*offset, *end - *offset);
@@ -103,55 +103,58 @@
    when transfering between track parts.
 */
-bool Track::map_coords (Location* loc, Placement* plc)
+bool Track::mapCoords (Location* loc, Placement* plc)
 {
-	Line trace(*offset, *end - *offset);
-	float l = trace.len ();
-	
-	/* change to the next track? */
-	if( loc->dist > l)
-	{
-		loc->dist -= l;
-		loc->part = nextID;
-		//FIXME: loc->track = this;
-		return true;
-	}
-	
-	/* this quaternion represents the rotation from start-vector (0,0,1) to the direction of
-	 * the track */
-	Quaternion dir(trace.a, Vector(0,0,1)); 
-
-	plc->r = trace.r + (trace.a * ((loc->dist) / l)) + /*dir.apply*/(loc->pos);
-	plc->w = dir * loc->rot;
-	
-	return false;
+  Line trace(*offset, *end - *offset);
+  float l = trace.len ();
+  
+  /* change to the next track? */
+  if( loc->dist > l)
+    {
+      loc->dist -= l;
+      loc->part = nextID;
+      //FIXME: loc->track = this;
+      return true;
+    }
+  
+  /* this quaternion represents the rotation from start-vector (0,0,1) to the direction of
+   * the track */
+  Quaternion dir(trace.a, Vector(0,0,1)); 
+  
+  plc->r = trace.r + (trace.a * ((loc->dist) / l)) + /*dir.apply*/(loc->pos);
+  plc->w = dir * loc->rot;
+  
+  return false;
 }
 
+
 /**
-	\brief this is called when a WorldEntity enters a Track part
-	\param entity: pointer to the WorldEntity in question
-	
-	You can do stuff like add or remove effects, do some coordinate finetuning 
-	or whatever in here.
+   \brief this is called when a WorldEntity enters a Track part
+   \param entity: pointer to the WorldEntity in question
+   
+   You can do stuff like add or remove effects, do some coordinate finetuning 
+   or whatever in here.
 */
-void Track::post_enter (WorldEntity* entity)
+void Track::postEnter (WorldEntity* entity)
 {
 }
 
+
 /**
-	\brief this is called when a WorldEntity leaves a Track part
-	\param entity: pointer to the WorldEntity in question
-	
-	You can do stuff like add or remove effects, do some coordinate finetuning 
-	or whatever in here.
+   \brief this is called when a WorldEntity leaves a Track part
+   \param entity: pointer to the WorldEntity in question
+   
+   You can do stuff like add or remove effects, do some coordinate finetuning 
+   or whatever in here.
 */
-void Track::post_leave (WorldEntity* entity)
+void Track::postLeave (WorldEntity* entity)
 {
 }
 
+
 /**
-	\brief this is called every frame
-	\param deltaT: amount of time passed since the last frame in seconds
-	
-	Do time based or polling scripts here. 
+   \brief this is called every frame
+   \param deltaT: amount of time passed since the last frame in seconds
+   
+   Do time based or polling scripts here. 
 */
 void Track::tick (float deltaT)